Package org.eclipse.cdt.core.parser

## Interface IParserSettings2

All Superinterfaces:
  `IParserSettings`

All Known Implementing Classes:
  `IParserSettings2.Default`

    public interface IParserSettings2
    extends IParserSettings

Interface for providing settings for the parser.

The first version of the interface was not marked with no-implement, so methods cannot be added to it. This version should be used going forward. It is marked no-implement and a Default implementation is provided. Clients should base their own implementations on Default in order to avoid being broken by futured additions to this interface.

Since:
  5.7
Restriction:
  Extend `IParserSettings2.Default` instead.

### Nested Class Summary

Nested Classes
`static class` `IParserSettings2.Default` An default implementation to be used as a base class by clients that want to contribute parser settings.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMaximumTokensPerTranslationUnit()` Returns the maximum number of tokens that should be created while parsing any one translation unit.
`boolean` `shouldLimitTokensPerTranslationUnit()` Returns true if the parser should be aborted when a single translation unit has produced more than `getMaximumTokensPerTranslationUnit()` tokens.

### Methods inherited from interface org.eclipse.cdt.core.parser.IParserSettings

`getMaximumTrivialExpressionsInAggregateInitializers`

### Method Detail

#### shouldLimitTokensPerTranslationUnit

    boolean shouldLimitTokensPerTranslationUnit()

Returns true if the parser should be aborted when a single translation unit has produced more than `getMaximumTokensPerTranslationUnit()` tokens.

#### getMaximumTokensPerTranslationUnit

    int getMaximumTokensPerTranslationUnit()

Returns the maximum number of tokens that should be created while parsing any one translation unit. This value is used only when `shouldLimitTokensPerTranslationUnit()` returns true.